Classification of manual operation parameters

The parameters of Machine-Data-Set contain the configuration data for manual operation.

In this set the hardware information of physical hand wheel necessary for manual operation and the inching keys are assigned to the logic manual operation elements. Thus, for example, the hardware addresses of physical hand wheel are assigned to the logical handwheels. Further, the hand wheel count and the inching key-pairs as well as general configuration data for manual operation are also determined.

The parameters are classified in the following manner:

q Count of configured hand wheel

q Parametering data of individual hand wheel

q Count of configured inching keys

q Parameterig data of individual inching keys

q Handling of manual operation traverse distances during a feedhold

The field indices to be specified for the manual operation data correspond to the axis- and manual operation element-indexing internal to manual operation.

Ranges of values of parameters are, if necessary, also defined by specifying a limit arising because of the data format, e.g. MAX(UNS32) etc.


Syntax and interpretation of the manual operation data ASCII file

The manual operation parameters are defined in an ASCII-file and interpreted by an ASCII interpreter and stored in the appropriate structures.

After that plausibility tests are carried out for the manual operation parameters.

This document defines the content and the syntax of the ASCII-Files (e.g. "hand_mds.lis") as well as the elements of the manual operation parameters.

For manual operation parameters of data type BOOLEAN, the following agreement is used:

Value | Significance
0 | Definition of FALSE
1 | Definition of TRUE


Comments in the ASCII file

Comments can be whole-lined or can be added at the end of a line.

In the case of whole-lined comments, at the beginning of the line the comment character # must be added followed by a space character.

If at the end of a line a comment is to be added, then in front of the comment, at least one space character must be there. If, however, in the line a string is defined, then the comment character ( must precede the comment.

Blank lines are also possible.

Example:

# ************************************************************************

# Data

# ************************************************************************

#

# Listing

dummy[1] 1 Comment

dummy[2] 1 # Comment

dummy[3] 1 ( Comment

dummy[4] 1 /* Comment

...

...

example[0].name STRING_2 (Comment, here comment brackets necessary !)


Settings for the hand wheels

More:

button Number of the physical hand wheels (P-MANU-00001)

button Handwheel data (hr_data[i].*)


Number of the physical hand wheels (P-MANU-00001)

With this structure element, the number of the handwheels is determined.

The hand wheel number must agree with the allocated hand wheels in the hand wheel data set "hr_data[i]".

Variable name | Type | Permissible range | Dimension
hr_anzahl | UNS16 | 0 ... HR_MAX | ----

Value HR_MAX | Significance
applications-dependent | Maximum count of the hand wheel

EXAMPLE: Two physical hand wheels are to be configured.

Extract from "hand_mds.lis":

# Handwheel count of

# ===========================================================================

hr_anzahl 2


Handwheel data (hr_data[i].*)

In the structure "hr_data[i]" the configuration data of the present hand wheels are stored.

Variable name | Type | Index | Dimension
hr_data[i] | HR_DATA | i = 0 ... hr_anzahl | ----

More:

button Logic hand wheel number (P-MANU-00002)

button Access to hand wheel counter address (P-MANU-00003)

button Address of hand wheel counter (P-MANU-00004)

button Resolution of the hand wheel

button Upper limit for hand wheel increments (P-MANU-00007)

button Offset at activation (P-MANU-00012)


Logic hand wheel number (P-MANU-00002)

With the structure element "hr_data[i].log_hr_nr", the logic hand wheel number of a hand wheel is defined. The logic hand wheel number is distinct in the entire system. Through the logical hand wheel number, the software-technical assignment of the activation and deactivation job request to a physcial hand wheel takes place. Through the logical hand wheel number, also the assignment of of a physical hand wheel to a logical axis also occurs.

A logic hand wheel number should not be assigned several times. If this is the case, then there occurs an error message during the plausibility test of the manual operation data. The logic hand wheel number "0" is not permitted.

The activation and the deactivation of manual operation modes is described in [PROG].

Variable name | Type | Permissible range | Dimension
log_hr_nr | UNS16 | 1 ... MAX(UNS16) | ----

EXAMPLE: Two physical handwheels are to be configured. These should be identified with the logical hand wheel numbers "1" and "2".

Extract from "hand_mds.lis":

# hand wheel data

# ===========================================================================

hr_data[0].log_hr_nr 1 # logic hand wheel number hand wheel 1

.........

hr_data[1].log_hr_nr 2 # logic hand wheel number hand wheel 2

..........


Access to hand wheel counter address (P-MANU-00003)

This parameter determs, if the hand wheel increments are read from a counter module or via the High Level Interface (HLI).

Variable name | Type | Permissible range | Dimension
hr_zaehler_direct_access | BOOLEAN | 0 / 1 | ----

1 | Hand wheel counter address located on hardware (HW). At the moment only possible for operating systems with absolute addressing (e.g. VxWorks, OS9).
0 | Hand wheel counter address located on High Level Interface (HLI). Always for operating systems with virtuel addressing (e.g. RTWin, NT).

EXAMPLE: Reading of hand wheel increments directly from a counter module.

Extract from "hand_mds.lis":

# hand wheel data

# ============================================================================

hr_data[0].hr_zaehler_direct_access 1 #Direct hardware access Handrad 1

.........


Address of hand wheel counter (P-MANU-00004)

In dependence on the element P-MANU-00003 here either the hand wheel counter address or the index in the HLI-Array for the reading of the increments is defined.

Variable name | Type | Permissible range | Dimension
*adr_hr_zaehler | UNS16 | 0 ... MAX(UNS16) | ----

Value | Significance
>0 | Physical address of a counter module.
0...HR_MAX-1 | Arrayindex in High Level Interface (HLI).

Value HR_MAX | Significance
application-dependent | Maximum count of the hand wheel

EXAMPLE 1: Two hand wheels are to be configured. These contain the logical hand wheel numbers "1" and "2". The reading of the increments is done by direct hardware access:

Extract from "hand_mds.lis":

# hand wheel data

# ===========================================================================

hr_data[0].log_hr_nr 1 #logic hand wheel number handwheel 1

hr_data[0].hr_zaehler_direct_access 1 #Hardware access Handwheel 1

hr_data[0].adr_hr_zaehler 0x0030 #address Handwheel 1

.........

hr_data[1].log_hr_nr 2 #logic hand wheel number handwheel 2

hr_data[1].hr_zaehler_direct_access 1 #Hardware access Handwheel 1

hr_data[1].adr_hr_zaehler 0x0080 #address Handwheel 2

.........

EXAMPLE2: Two hand wheels are to be configured. These contain the logical hand wheel numbers "1" and "2". The reading of the increments is done via HLI-interface:

Extract from "hand_mds.lis":

# hand wheel data

# ===========================================================================

hr_data[0].log_hr_nr #logic hand wheel number handwheel 1

hr_data[0].hr_zaehler_direct_access 0 #HLI-Access handwheel 1

hr_data[0].adr_hr_zaehler 0 #Index in HLI-Array handwheel 1

.........

hr_data[1].log_hr_nr 2 #logic hand wheel number handwheel 2

hr_data[1].hr_zaehler_direct_access 0 #HLI-Access handwheel 1

hr_data[1].adr_hr_zaehler 1 #Index in HLI-Array handwheel 1

.........


Resolution of the hand wheel

The count of the hand wheel increments per hand wheel revolution is entered as hand wheel resolution. This value must be specified through a numerator value and a denominator value.

Handwheel resolution = Numerator / Denominator = hr_aufl_z/ hr_aufl_n

Unit hand wheel resolution : [Increments/revolution]

This hand wheel specific resolution should not be confused with the axis-specific resolution for the operating mode hand wheel [PROG].

More:

button Numerator of hand wheel resolution (P-MANU-00005)

button Denominator of hand wheel resolution (P-MANU-00006)


Numerator of hand wheel resolution (P-MANU-00005)

Variable name | Type | Permissible range | Dimension
hr_aufl_z | UNS32 | 1 ... MAX(UNS32) | incr


Denominator of hand wheel resolution (P-MANU-00006)

Variable name | Type | Permissible range | Dimension
hr_aufl_n | UNS32 | 1 ... MAX(UNS32) | U

EXAMPLE: Two hand wheels are to be configured. These contain the logical hand wheel numbers "1" and "2". The hand wheel resolutions are (100 Increments / revolution) and (2700 Increments / 14 revolutions).

Extract from "hand_mds.lis":

# hand wheel data

# ==============================================================================

hr_data[0]. log_hr_nr 1 # logic hand wheel number handwheel 1

:

hr_data[0].hr_aufl_z 100 # Numerator hand wheel resolution handwheel 1

hr_data[0].hr_aufl_n 1 # Demonimator hand wheel resolution handwheel 1

# ==============================================================================

hr_data[1].log_hr_nr 2 # logic hand wheel number handwheel 2

:

hr_data[1].hr_aufl_z 2700 # Numerator hand wheel resolution handwheel 2

hr_data[1].hr_aufl_n 14 # Denominator hand wheel resolution handwheel 2

...........


Upper limit for hand wheel increments (P-MANU-00007)

The upper limit for the count of the hand wheel increments read in per cycle is defined by the parameter "hr_data[i].max_inkr_pro_takt". These parameter is a plausibility limit for the hand wheel hardware.

Variable name | Type | Permissible range | Dimension
max_inkr_pro_takt | UNS32 | < MAX(UNS32) | incr

EXAMPLE: The maximum count of the hand wheel increments read in per cycle is 1000.

Extract from "hand_mds.lis":

# hand wheel data

# ==============================================================================

.....

hr_data[0].max_inkr_pro_takt 1000 # upper limit for hand wheel increments

.....


Offset at activation (P-MANU-00012)

The parameter "hr_data[i].hr_abs_pos_init" defines, if the continuation is done absolute or relative on the handwheel count at activation of manual operation.

Variable name | Type | Permissible range | Dimension
hr_abs_pos_init | BOOLEAN | 0 / 1 | ----

0 | Relative continuation on handwheel count at activation of manual operation (Default).
1 | Absolute taking over of the handwheel count at activation of manual operation.

Extract from "hand_mds.lis":

# hand wheel data

# ==============================================================================

.....

hr_data[0].hr_abs_pos_init 0 # Relative continuation at activation

.....

For the typical manual operation the relative mode is usefull, this means no movement is executed, even if the handwheel count at activation of manual operation is not 0.


Settings for the inching keys

More:

button Count of inching key pairs (P-MANU-00008)

button Inching key data (tasten_data[i].*)


Count of inching key pairs (P-MANU-00008)

With this structure element, the count of inching key pairs are determined.

The inching key count must agree with the allocated elements in the inching keys-data list "tasten_data[i]".

Variable name | Type | Permissible range | Dimension
tasten_anzahl | UNS16 | 0 ... TASTE_MAX | ----

EXAMPLE: Two inching key pairs are configured.

Extract from "hand_mds.lis":

# key count

# ============================================================================

tasten_anzahl 2


Inching key data (tasten_data[i].*)

In the structure"tasten_data[i]" the configuration data of the available inching key pairs are laid down.

Variable name | Type | Index | Dimension
tasten_data[i] | TASTEN_DATA | i = 0 ... tasten_anzahl | ----

More:

button Logic key number (P-MANU-00009)


Logic key number (P-MANU-00009)

With the structure element "tasten_data[i].log_tasten_nr" the logic key number of a inching key pair is defined. The logic key number is distinct in the entire system. Through the logic key number the assignment of an activation or deactivation job to the physical inching key pair occurs. Through the logic key number, also, the assignment of a physical key pair to a logical axis takes place.

A logic key number should not be assigned several times. If this done, then an error message is given out during the plausibilty test during start-up. The logic key-number "0" is not permitted.

The activation and deactivation of the manual operation modes are described in [PROG].

Variable name | Type | Permissible range | Dimension
log_tasten_nr | UNS16 | 1 ... MAX(UNS16) | ----

EXAMPLE: Two physical inching key pairs are configured. These contain the logical key numbers "1" and "2".

Extract from "hand_mds.lis":

# Inching key daten

# ============================================================================

tasten_data[0].log_tasten_nr 1 # logic key number Key pair 1

.........

tasten_data[1].log_tasten_nr 2 # logic key number Key pair 2

..........


Feedhold handling (feedhold.*)

In the structure "feedhold" , the handling of hand wheel increments and jog mode traverse distances during a feedhold is described.

More:

button Operating mode hand wheel (P-MANU-00010)

button Operating mode jogging mode (P-MANU-00011)


Operating mode hand wheel (P-MANU-00010)

If the parameter "feedhold.hr_inkr_verwerfen" is set to TRUE, then the hand wheel increments read in during a feedhold are to be discarded. Otherwise, these hand wheel increments will be output after the removal of the feedhold.

Variable name | Type | Permissible range | Dimension
hr_inkr_verwerfen | BOOLEAN | 0 / 1 | ----

EXAMPLE: The hand wheel increments read in during a feedhold should not be discarded.

Extract from "hand_mds.lis":

# Feedhold handling

# ============================================================================

feedhold.hr_inkr_verwerfen 0 # Discarding of hand wheel increments

.........


Operating mode jogging mode (P-MANU-00011)

If the parameter "feedhold.jog_inkr_verwerfen" is set to TRUE, then the jog mode traverse distances generated during a feedhold shall be discarded. Otherwise, these traverse distances will be output after the removal of the feedhold.

Variable name | Type | Permissible range | Dimension
jog_inkr_verwerfen | BOOLEAN | 0 / 1 | ----

EXAMPLE: The jog mode traverse distances read in during a feedhold should be discarded.

Extract from "hand_mds.lis":

# Feedhold handling

# ============================================================================

feedhold.jog_inkr_verwerfen 1 # Discarding of jog mode traverse distance

.........


Example for an allocation of manual operation parameter

# *************************************************************************************

# Manual operation parameter

# *************************************************************************************

# Imp. Hint: After the comments character ´# ´ a blank (space) character must

# be expressly added.

*************************************************************************************

# Handwheel Count of

# *************************************************************************************

hr_anzahl 2

# *************************************************************************************

Inching key pair Count of

# *************************************************************************************

tasten_anzahl 3

# *************************************************************************************

# Handwheel data

# *************************************************************************************

hr_data[0].log_hr_nr 1

r_data[0].hr_aufl_z 100

hr_data[0].hr_aufl_n 1

hr_data[0].hr_zaehler_direct_access 1

hr_data[0].adr_hr_zaehler 0x8a0a0030

hr_data[0].max_inkr_pro_takt 1000

hr_data[0].hr_abs_pos_init 0

#

hr_data[1].log_hr_nr 2

hr_data[1].hr_aufl_z 180

hr_data[1].hr_aufl_n 1

hr_data[1].hr_zaehler_direct_access 1

hr_data[1].adr_hr_zaehler 0x8a0a0080

hr_data[1].max_inkr_pro_takt 1000

hr_data[1].hr_abs_pos_init 0

*************************************************************************************

# Inching Key Data

# *************************************************************************************

tasten_data[0].log_tasten_nr 1

#

tasten_data[1].log_tasten_nr 2

#

tasten_data[2].log_tasten_nr 3

# *************************************************************************************

# Feedhold Handling

# *************************************************************************************

feedhold.hr_inkr_verwerfen 0

feedhold.jog_inkr_verwerfen 1